Bug 736916 - wrong default for ASPM
Summary: wrong default for ASPM
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: John Feeney
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-09 05:17 UTC by dietmar
Modified: 2013-01-10 07:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-23 14:27:20 UTC


Attachments (Terms of Use)

Description dietmar 2011-09-09 05:17:18 UTC
Description of problem:

Current kernel seems to ignore BIOS settings for ASPM

Here is a patch to fix the behaviour:

--- linux-2.6-2.6.32/drivers/pci/pcie/aspm.c.org        2011-09-09 06:51:53.000000000 +0200
+++ linux-2.6-2.6.32/drivers/pci/pcie/aspm.c    2011-09-09 06:52:09.000000000 +0200
@@ -75,7 +75,7 @@
 #define POLICY_DEFAULT 0       /* BIOS default setting */
 #define POLICY_PERFORMANCE 1   /* high performance */
 #define POLICY_POWERSAVE 2     /* high power saving */
-static int aspm_policy = POLICY_POWERSAVE;
+static int aspm_policy = POLICY_DEFAULT;
 static const char *policy_str[] = {
        [POLICY_DEFAULT] = "default",
        [POLICY_PERFORMANCE] = "performance",

Comment 2 Matthew Garrett 2011-09-23 14:27:20 UTC
No, this is a conscious decision.


Note You need to log in before you can comment on or make changes to this bug.